﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace XamDataChartTimeAxisDemo
{
    public class ViewModel
    {
        public ObservableCollection<SampleData> Data { get; set; }

        Random r = new Random();
        double curr = 500;
        public ViewModel()
        {
            Data = new ObservableCollection<SampleData>();

            for(int i=0; i < 250; i++)
            {
                SampleData sd = new SampleData() { Date = DateTime.Today.AddDays(i) };
                if(r.NextDouble() > .5)
                {
                    curr += r.NextDouble() * 3;
                }
                else
                {
                    curr -= r.NextDouble() * 3;
                }

                sd.Value = curr;

                Data.Add(sd);

            }
        }

    }

    public class SampleData
    {
        public DateTime Date { get; set; }
        public double Value { get; set; }
    }
}
